SDL_GetTLS(3)

NAME
SDL_GetTLS - Get the current thread's value associated with a thread local storage ID.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

void * SDL_GetTLS(SDL_TLSID id);

FUNCTION PARAMETERS

id  the thread local storage ID

RETURN VALUE
Returns the value associated with the ID for the current thread or NULL if no value has been set; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetTLS(3)